
Media Management - Bug # 52215

Status: Closed Priority: Should have
Author: Dominik Steinborn Category:
Created: 2013-09-24 Assigned To: Fabien Udriot
Updated: 2013-10-30 Due date:
Subject: Delete and massDelete do not delete variant files
Description

TYPO3 is configured to automatically create a variant on upload. When deleting the original image the variant file will remain.

    1. Upload an image file
    2. Image with corresponding variant is displayed in media backend
    3. Delete the image

=> the image file remains on the file system and the database entry of the variant is not marked as deleted

Expected result:
The image and all corresponding variants are deleted from file system and marked as deleted in the database.

Related issues:
blocked by Core - Task # 51838: Delete all processed files when a sys_file ge... Closed 2013-09-08
blocked by Core - Task # 50876: Handling of deleted files in FAL New 2013-08-06

History
#1 - 2013-09-24 15:09 - Dominik Steinborn

As far as I found it this is related to / blocked by the following bugs in FAL #51838 and #50876

#2 - 2013-10-30 13:34 - Fabien Udriot
- Assigned To set to Fabien Udriot
- Target version set to 2.0.0

Done when merging "develop" into "master". It is handled in a quite "manual" way for now.

#3 - 2013-10-30 13:34 - Fabien Udriot

I can not mark the issue as resolved :( Marked the issue as closed directly in the DB.
